MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025468Community[OCCT] OCCT:Modeling Algorithmspublic2014-11-12 14:432015-05-14 15:32
ReporterIstvan Csanady 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025468: GeomConvert_ApproxSurface should have a constructor for adaptors
DescriptionGeomConvert_ApproxSurface should have a constructor for Adaptor3d_Surface objects.
Steps To ReproduceNot applicable
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0035040)
msv (developer)
2014-12-05 10:06

I have analyzed this request and found no obstacles to realize this imp.
However, in order to make the API of similar classes consistent, it is needed to add the corresponding constructor with Adaptor to the following classes:

GeomConvert_ApproxSurface
GeomConvert_ApproxCurve
Geom2dConvert_ApproxCurve
(0035071)
git (administrator)
2014-12-05 16:12

Branch CR25468 has been created by azv.

SHA-1: 7378a658440fb39f5c67069c5659156b988484bf


Detailed log of new commits:

Author: azv
Date: Fri Dec 5 14:29:49 2014 +0300

    0025468: GeomConvert_ApproxSurface should have a constructor for adaptors
    
    Additional constructors were implemented into classes:
    GeomConvert_ApproxCurve
    GeomConvert_ApproxSurface
    Geom2dConvert_ApproxCurve
(0035072)
azv (developer)
2014-12-05 16:13

Branch CR25468 is ready for review
(0035093)
msv (developer)
2014-12-05 20:36

No remarks.
(0035118)
git (administrator)
2014-12-08 11:31

Branch CR25468 has been updated forcibly by mkv.

SHA-1: 0d919ed01e23f4abb8c814b822de63cdc0a41b9f
(0035165)
mkv (tester)
2014-12-08 18:52

Dear BugMaster,
Branch CR25468 was rebased on current master of occt git-repository.
(0035166)
mkv (tester)
2014-12-08 18:53

Dear BugMaster,
Branch CR25468 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 0d919ed01e23f4abb8c814b822de63cdc0a41b9f

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 363970260 / 363537596
Total CPU difference: 46728.85 / 47537.2299999999
products component :
Total MEMORY difference: 112112516 / 111872212
Total CPU difference: 16050.679999999957 / 15946.739999999983

Testing on Windows:
occt component :
Total MEMORY difference: 276874980 / 277181316
Total CPU difference: 34636.53125 / 41681.890625
products component :
Total MEMORY difference: 83932196 / 71187188
Total CPU difference: 10114.484375 / 13033.296875

There are no differences in images found by testdiff.
(0036588)
git (administrator)
2015-01-26 12:36

Branch CR25468 has been deleted by inv.

SHA-1: 0d919ed01e23f4abb8c814b822de63cdc0a41b9f

- Related Changesets
occt: master be09e9bf
Timestamp: 2014-12-05 11:29:49
Author: azv
Committer: bugmaster
Details ] Diff ]
0025468: GeomConvert_ApproxSurface should have a constructor for adaptors

Additional constructors were implemented into classes:
GeomConvert_ApproxCurve
GeomConvert_ApproxSurface
Geom2dConvert_ApproxCurve
mod - src/Geom2dConvert/Geom2dConvert.cdl Diff ] File ]
mod - src/Geom2dConvert/Geom2dConvert_ApproxCurve.cdl Diff ] File ]
mod - src/Geom2dConvert/Geom2dConvert_ApproxCurve.cxx Diff ] File ]
mod - src/GeomConvert/GeomConvert.cdl Diff ] File ]
mod - src/GeomConvert/GeomConvert_ApproxCurve.cdl Diff ] File ]
mod - src/GeomConvert/GeomConvert_ApproxCurve.cxx Diff ] File ]
mod - src/GeomConvert/GeomConvert_ApproxSurface.cdl Diff ] File ]
mod - src/GeomConvert/GeomConvert_ApproxSurface.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-11-12 14:43 Istvan Csanady New Issue
2014-11-12 14:43 Istvan Csanady Assigned To => msv
2014-12-05 10:06 msv Note Added: 0035040
2014-12-05 13:00 msv Assigned To msv => azv
2014-12-05 13:00 msv Status new => assigned
2014-12-05 16:12 git Note Added: 0035071
2014-12-05 16:13 azv Note Added: 0035072
2014-12-05 16:13 azv Assigned To azv => msv
2014-12-05 16:13 azv Status assigned => resolved
2014-12-05 16:13 azv Steps to Reproduce Updated View Revisions
2014-12-05 20:36 msv Note Added: 0035093
2014-12-05 20:36 msv Assigned To msv => bugmaster
2014-12-05 20:36 msv Status resolved => reviewed
2014-12-08 11:05 mkv Assigned To bugmaster => mkv
2014-12-08 11:31 git Note Added: 0035118
2014-12-08 18:52 mkv Note Added: 0035165
2014-12-08 18:53 mkv Note Added: 0035166
2014-12-08 18:53 mkv Assigned To mkv => bugmaster
2014-12-08 18:53 mkv Status reviewed => tested
2014-12-08 18:53 mkv Test case number => Not needed
2014-12-16 16:46 bugmaster Changeset attached => occt master be09e9bf
2014-12-16 16:46 bugmaster Status tested => verified
2014-12-16 16:46 bugmaster Resolution open => fixed
2015-01-19 16:23 bugmaster Target Version 7.0.0 => 6.9.0
2015-01-26 12:36 git Note Added: 0036588
2015-05-14 15:29 user533 Status verified => closed
2015-05-14 15:32 user533 Fixed in Version => 6.9.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker